# 奖励结算引擎

1. #### 事件处理

   接收各个业务模块的事件通知，并基于管理员配置的活动参数，进行受邀人行为事件的处理、奖励的结算和投放。

   - **服务号关注事件**

     ![mark](http://qiniu.demogic.com/blog/20191113/Etz0siGaDGgt.png?imageslim)

     1. 判断关注事件中是否包含该活动的邀请人参数
        - 有：进入第2步；
        - 无：事件处理结束；
     2. 判断该事件用户对应的受邀人是否已经存在 
        - 存在：进入第3步；
        - 不存在：进入第4步；
     3. 判断该受邀人所属邀请人是否为该关注事件的二维码的归属人；
        - 是：事件处理结束；
        - 否：调用模板消息【受邀人已被其他人邀请】发送给该关注事件参数的归属人，事件处理结束；
     4. 判断该用户是否满足身份控制条件
        - 满足：进入第5步；
        - 不满足：调用模板消息【身份条件不满足】发送给该关注事件参数的归属人，事件处理结束；
     5. 创建受邀人，邀请人为为该关注事件参数的归属人。
     6. 记录受邀人的服务号关注日志。
     7. 判断是否还有下一个节点，有存在“活动营销页访问”、“会员认证”、“游戏参与”、"卡券"这4个中的任意一个即可，“消费“节点不算。
        - 有：进入第8步；
        - 无：调用奖励结算模块，事件处理结束。
     8. 调用小程序卡片投放接口，将受邀人引导至转化路径的下一个节点。
     9. 调用奖励结算模块，事件处理结束。

   - **活动营销页访问事件**

     ![mark](http://qiniu.demogic.com/blog/20191113/LoO6N7Xud1by.png?imageslim)

     1. 判断营销活动页ID是否为该活动的营销活动页
        - 是：进入第2步；
        - 否：事件处理结束；
     2. 判断参数中是否包含邀请人参数
        - 有：进入第3步；
        - 无：进入第4步
     3. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第5步；
        - 不存在：进入第6步；
     4. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第7步；
        - 不存在：事件处理结束；
     5. 判断该受邀人的邀请人是否为页面请求参数的归属人
        - 是：事件处理结束；
        - 否：调用模板消息【受邀人已被其他人邀请】发送给该关注事件参数的归属人，事件处理结束；
     6. 判断受邀人的身份是否满足活动条件
        - 满足：进入第8步；
        - 不满足：调用模板消息【身份条件不满足】发送给该关注事件参数的归属人，事件处理结束；
     7. 判断是否有该受邀人的访问日志
        - 有：事件处理结束；
        - 无：进入第9步；
     8. 创建受邀人，邀请人为为该访问事件参数的归属人。
     9. 记录受邀人的访问日志。
     10. 调用奖励结算模块，事件处理结束。

   - **会员认证事件**

     ![mark](http://qiniu.demogic.com/blog/20191113/RIx7D3zaH3aX.png?imageslim)

     1. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第2步；
        - 不存在：事件处理结束；
        
     2. 判断是否有该受邀人的会员认证日志
        - 有：事件处理结束；
        - 无：进入第3步；
        
     3. 记录受邀人的会员认证日志

     4. 调用奖励结算模块

     5. 判断该活动的转化路径是否命中该条件

        ![mark](http://qiniu.demogic.com/blog/20191111/XhtfrgB5oW73.png?imageslim)

        - 满足：进入第6步；
        - 不满足：事件处理结束；
        
     6. 调用卡券投放接口，将转化路径中指定的卡券投放给受邀人；

     7. 调用模板消息【卡券奖励提醒】中的【认证后投放】发送给受邀人；

   - **游戏参与事件**

     ![mark](http://qiniu.demogic.com/blog/20191113/zaroEIgnbnIV.png?imageslim)

     1. 判断游戏计划ID是否为该活动所选择的游戏计划
        - 是：进入第2步；
        - 否：事件处理结束；
     2. 判断参数中是否包含邀请人参数
        - 有：进入第3步；
        - 无：进入第4步
     3. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第5步；
        - 不存在：进入第6步；
     4. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第7步；
        - 不存在：事件处理结束；

     5. 判断该受邀人的邀请人是否为session参数的归属人
        - 是：事件处理结束；
        - 否：调用模板消息【受邀人已被其他人邀请】发送给该游戏参数事件的参数的归属人，事件处理结束；
     6. 判断受邀人的身份是否满足活动条件
        - 满足：进入第8步；
        - 不满足：调用模板消息【身份条件不满足】发送给该游戏参数事件的参数的归属人，事件处理结束；
     7. 判断是否有该受邀人的游戏参与日志
        - 有：事件处理结束；
        - 无：进入第9步；
     8. 创建受邀人，邀请人为为该游戏参与的session参数的归属人。
     9. 记录受邀人的游戏参与日志。
     10. 调用奖励结算模块，事件处理结束。

   - **卡券领取事件**

     ![mark](http://qiniu.demogic.com/blog/20191113/nNBQoxpNOBxl.png?imageslim)

     1. 判断事件中的卡券ID是否为该活动的指定卡券ID
        - 匹配：进入第2步；
        - 不匹配：事件处理结束；
     2. 判断该事件用户对应的受邀人是否已经存在
        - 存在：进入第3步；
        - 不存在：事件处理结束；
     3. 判断是否有该受邀人的该卡券ID的领取日志
        - 有：事件处理结束；
        - 无：进入第4步；
     4. 记录受邀人的卡券领取日志
     5. 调用奖励结算模块，事件处理结束。

   - **订单事件**

     ![mark](http://qiniu.demogic.com/blog/20191118/PTjRAgGTlL2c.png?imageslim)

     1. 首先要判断该订单的渠道，是否适用该活动。活动目的为“全渠道”时适用所有渠道订单，“线下门店”适用门店订单，”微信商城“适用达摩微商城和微盟微商城订单。

        - 适用：进入第2步；
        - 不适用：事件处理结束；
   2. 门店code+订单编号联合去重，判断该订单关联的事件日志之前是否已经存在（即同一笔订单不能处理2次）
     - 不存在：进入第3步；
      - 存在：事件处理结束；
     3. 判断订单金额
      - =0：事件处理结束；
     
        - ＞0：**定性为消费行为**；
          1. 判断该事件用户对应的受邀人是否已经存在
             - 存在：进入第2步；
             - 不存在：事件处理结束；
          2. 判断订单单据日期是否晚于或等于受邀人创建日期
             - 晚于或等于：进入第3步
             - 早于：事件处理结束；
          3. 判断该消费事件中的订单是否满足要求
             - 满足：进入第4步；
             - 不满足：调用模板消息【消费行为不满足】发送给该受邀人所归属的邀请人；
          4. 记录受邀人的消费日志
          5. 调用奖励结算模块，事件处理结束。
        - ＜0：**定性为退款行为**；
          1. 判断该事件用户对应的受邀人是否已经存在
             - 存在：进入第2步；
             - 不存在：事件处理结束；
          2. 判断订单单据日期是否晚于或等于受邀人创建日期
             - 晚于或等于：进入第3步
             - 早于：事件处理结束；
          3. 判断是否存在关联的消费日志
             - 存在：进入第4步；
             - 不存在：事件处理结束；
          4. 记录受邀人的退款日志。
          5. 调用奖励结算模块，事件处理结束。

2. #### 奖励结算

   - **即时奖励**

     ![mark](http://qiniu.demogic.com/blog/20191113/3H7MooymX7iX.png?imageslim)

     首先判断该事件是否有配置过即时奖励，没有配置则直接结束，有配置过才进行以下事务处理。

     - **非消费、退款行为**

       1. 根据管理员配置的活动信息，判断其奖励模式是定额奖励还是阶梯奖励，并计算出具体的积分奖励额度。
       2. 调用奖励投放模块并记录奖励日志，事件处理结束。

     - **消费行为**

       1. 判断该受邀人触发的奖励次数是否达到上限

          - 是：事件处理结束；
          - 否：进入第2步；

       2. 根据管理员配置的活动信息，判断其奖励模式是定额奖励、阶梯奖励或成交额等比奖励，并计算出具体的积分奖励额度。

       3. 判断奖励的积分额度是否超出积分获取上限

          - 有额度：

            表示还有可获取的积分奖励额度，但当该事件触发的积分奖励额度＞可获取额度时，请求投放模块的值应该=可获取额度。如：可获取额度还有500，但是该笔消费可奖励1000，则最终只能奖励500。

          - 无额度：调用模板消息【奖励限制提醒】给该受邀人归属的邀请人，事件处理结束。

       4. 调用奖励投放模块并记录奖励日志，事件处理结束。

     - **退款行为**

       1. 根据管理员配置的该活动的防欺诈方案，采取不同的处理
          - 延时发放：事件处理结束；
          - 积分冻结：进入第2步；
          - 不予控制：事件处理结束；
       2. 查询该退款订单关联的消费订单所关联的即时奖励日志。
       3. 调用投放模块，并记录奖励日志。

   - **闯关奖励**

     ![mark](http://qiniu.demogic.com/blog/20191113/KgTkurC9d4rG.png?imageslim)

     首先判断该事件是否有配置过闯关奖励

     - **有闯关奖励**：进入闯关奖励结算流程

       - **非消费、退款行为**

         1. 更新该闯关项累计的达成人数。
         2. 是否有新达成闯关
            - 有：进入第3步；
            - 无：事件处理结束；
         3. 调用奖励投放模块。
         4. 更新闯关项状态为“已达成”。

       - **消费行为**

         1. 判断成交额上限只有还有额度
            - 有额度：进入第2步；
            - 无额度：事件处理结束；
         2. 更新累计的达成人数、成交金额，当成交金额＞成交额上限剩余额度时，只能新增剩余额度。如：上限额度还有500，该笔消费金额1000，则最终只能新增500累计成交额。
         3. 是否有新达成闯关
            - 有：进入第4步；
            - 无：事件处理结束；
         4. 调用奖励投放模块。
         5. 更新闯关项状态为“已达成”。

       - **退款行为**

         更新累计的达成人数、成交金额。

     - **无闯关奖励**：判断该事件是否有竞赛奖励

       - **有竞赛奖励**：进入指标数据计算流程

         - **非消费、退款行为**

           更新该闯关项累计的达成人数。

         - **消费行为**

           1. 判断成交额上限只有还有额度
              - 有额度：进入第2步；
              - 无额度：事件处理结束；
           2. 更新累计的达成人数、成交金额，当成交金额＞成交额上限剩余额度时，只能新增剩余额度。如：上限额度还有500，该笔消费金额1000，则最终只能新增500累计成交额。

         - **退款行为**

           更新累计的达成人数、成交金额。

       - **无竞赛奖励**：事件处理结束；

   - **受邀人奖励**

     ![mark](http://qiniu.demogic.com/blog/20191113/zoThWXdbYkou.png?imageslim)

     首先判断该事件是否有配置过受邀人奖励，若没有则事务直接结束，若有配置过才进行以下事务

     - **非消费、退款行为**

       1. 计算相应的积分奖励额度和卡券。
       2. 调用投放模块并记录奖励日志，事件处理结束。

     - **消费行为**

       1. 判断是否存在历史受邀人奖励记录（因为受邀人奖励只能触发一次）。
          - 存在：事件处理结束；
          - 不存在：进入第2步；
       2. 根据该订单的成交额，计算受邀人奖励积分额度和卡券。
       3. 调用投放模块并记录奖励日志，事件处理结束。

     - **退款行为**

       事件处理结束。

   - **竞赛奖励**

     ![mark](http://qiniu.demogic.com/blog/20191113/QD4X0zlp1Nog.png?imageslim)

     在活动结束后，判断所有行为节点是否有配置过竞赛奖励，对配置过奖励的进行以下事务

     - **非消费行为**
       1. 查询各邀请人的累计达成人数并作排序。
       2. 判断邀请人是否在竞赛奖励中获奖
          - 是：调用投放模块并记录奖励日志，事件处理结束；
          - 否：事件处理结束；
     - **消费行为**
       1. 查询各邀请人的累计成交人数、累计成交额，并作排序。
       2. 判断邀请人是否在竞赛奖励中获奖
          - 是：调用投放模块并记录奖励日志，事件处理结束；
          - 否：事件处理结束；

3. #### 奖励投放

   ![mark](http://qiniu.demogic.com/blog/20191113/Yj7U9cXSo8jW.png?imageslim)

   - **积分投放**

     根据不同的防欺诈风险控制方案进行处理。
   
     - **即时奖励**
       - **延时发放**
         1. 设置定时器
         2. 调用模板消息【积分奖励提醒-即时奖励-延时发放】发送给该受邀人的邀请人
         3. 请求积分变更接口增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
         4. 记录奖励投放日志，事件处理结束。
       - **积分冻结**
         1. 请求积分变更接口（带入冻结参数）增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
         2. 记录奖励投放日志（要记录积分明细ID）。
         3. 调用模板消息【积分奖励提醒-即时奖励-积分冻结】发送给该受邀人的邀请人，事件处理结束。
        - **不予控制**
             1. 请求积分变更接口增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
             2. 记录奖励投放日志（要记录积分明细ID）。
             3. 调用模板消息【积分奖励提醒-即时奖励-不予控制】发送给该受邀人的邀请人，事件处理结束。
       - **闯关奖励**
         1. 请求积分变更接口增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
         2. 记录奖励投放日志（要记录积分明细ID）。
         3. 调用模板消息【积分奖励提醒-闯关奖励】发送给该受邀人的邀请人，事件处理结束。
       - **竞赛奖励**
         1. 请求积分变更接口增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
         2. 记录奖励投放日志（要记录积分明细ID）。
         3. 调用模板消息【积分奖励提醒-竞赛奖励】发送给该受邀人的邀请人，事件处理结束。
       - **受邀人奖励**
         1. 请求积分变更接口增加积分，积分明细的【事由】字段值为“分享有礼”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
         2. 记录奖励投放日志（要记录积分明细ID）。
         3. 调用模板消息【积分奖励提醒-受邀人奖励】发送给该受邀人，事件处理结束。
     
   - **积分追扣**
   
     1. 调用积分追扣接口（带入原始积分明细ID）扣减积分，积分明细的【事由】字段值为“分享有礼追扣”，备注为该投放日志所关联的奖励日志所关联的事件日志名称和日志流水号，如：卡券领取：8756765675675。
     2. 记录奖励投放日志（逆向奖励即扣除）
     3. 调用模板消息【积分追扣提醒】发送给该受邀人的邀请人，事件处理结束。
   
   - **卡券投放**
   
     - **闯关奖励**
       1. 请求卡券投放接口，将卡券放入受邀人卡券包（待领取状态）
       2. 记录奖励投放日志
       3. 调用模板消息【卡券奖励提醒-闯关奖励】发送给受邀人的邀请人，事件处理结束。
     - **竞赛奖励**
       1. 请求卡券投放接口，将卡券放入受邀人卡券包（待领取状态）
       2. 记录奖励投放日志
       3. 调用模板消息【卡券奖励提醒-竞赛奖励】发送给受邀人的邀请人，事件处理结束。
     - **受邀人奖励**
       1. 请求卡券投放接口，将卡券放入受邀人卡券包（待领取状态）
       2. 记录奖励投放日志
       3. 调用模板消息【卡券奖励提醒-受邀人奖励】发送给受邀人，事件处理结束。
     - **认证后奖励**
       1. 请求卡券投放接口，将卡券放入受邀人卡券包（待领取状态）
       2. 记录奖励投放日志
       3. 调用模板消息【卡券奖励提醒-认证后奖励】发送给受邀人，事件处理结束。
   
