# 小程序-活动中心

- ### **功能概述**

  活动中心是邀请人使用的频道页，一切和邀请人相关的信息都由该频道页承载，主要包括以下功能：

  - 了解活动内容和规则；
  - 查看自己的活动收益；
  - 查看自己邀请的好友列表；
  - 查看竞赛排名和闯关奖励；
  - 分享小程序卡片，或下载小程序/服务号的二维码海报；

- ### **动态页面路径机制**

  - 进行中的活动可以复制活动路径（小程序路径），已经结束的活动不提供复制的功能（之前的url如果被用户继续访问的话会提示活动已经结束的页面样式。
  - 该路径只是一个跳转链接，用户访问后会基于访客的openID生成专属参数，并将该参数作为请求参数将页面转发至真正的活动中心路径。
  - 活动中心及所有子页面的转发功能都禁用，不允许用户点击右上角的菜单进行小程序转发。

- ### 页面title

  显示该活动名称

- ### **头图**

  管理员在后台创建活动时上传的图片。

- ### **收益栏**

  - **积分收益**：展示当前用户的积分收益，不包含延时发放的积分，包含已发放但冻结的积分。

    - **积分奖励记录**

      奖励明细根据时间由近及远排序，底部显示返回活动中心的button。

      - **即时奖励**
        - 图片显示触发该即时奖励的受邀人头像
        - 明细标题显示触发该即时奖励的受邀人昵称
        - 明细描述文案显示触发该即时奖励的事件类型名称（如果是积分追扣明细，则后面加括号显示“退款追扣”字样）
        - 奖励显示积分新增或追扣的额度
        - 时间显示该奖励日志创建时间yyyy-mm-dd hh:mm
      - **闯关奖励**
        - 图片显示闯关奖励的统一icon
        - 明细标题显示“闯关奖励”固定文本
        - 明细描述文案显示文案模板：邀请X人{行为名称}
        - 奖励显示积分新增额度
        - 时间显示该奖励日志创建时间yyyy-mm-dd hh:mm
      - **竞赛奖励**
        - 图片显示竞赛奖励的统一icon
        - 明细标题显示奖项名称
        - 明细描述文案显示文案模板：{行为名称}排名第X
        - 奖励显示积分新增额度
        - 时间显示该奖励日志创建时间yyyy-mm-dd hh:mm

  - **卡券收益**：展示当前用户的卡券收益，包含已投放但用户未领取的。

    - **卡券奖励记录**

      最上方显示进入卡券包的快捷入口，下方的奖励明细根据时间由近及远排序，底部显示返回活动中心的button。

      - **闯关奖励**
        - 图片显示闯关奖励的统一icon
        - 明细标题显示“闯关奖励”固定文本
        - 明细描述文案显示文案模板：邀请X人{行为名称}
        - 奖励显示卡券名称
        - 时间显示该奖励日志创建时间yyyy-mm-dd hh:mm
      - **竞赛奖励**
        - 图片显示竞赛奖励的统一icon
        - 明细标题显示奖项名称
        - 明细描述文案显示文案模板：{行为名称}排名第X
        - 奖励显示卡券名称
        - 时间显示该奖励日志创建时间yyyy-mm-dd hh:mm

- ### **已邀请好友**

  - 背景色和文字色由管理员在创建活动时设置。

  - 该栏目展示已邀请的好友信息，没有已邀请好友时，显示固定文案“暂无邀请的好友，请再接再厉！”

  - 最多展示最近3名好友，点击进入好友列表才能查看完整的。

    - **已邀请好友列表**
      - 最上方显示已邀请好友的数量
      - 列表中根据受邀人创建时间由近及远排序展示好友
        - 图片显示该受邀人的微信头像
        - 显示该受邀人的微信昵称
        - 显示该受邀人最近一次行为日志的行为名称
        - 显示该受邀人的创建时间，格式为yyyy-mm-dd hh:mm
      - 底部显示返回活动中心的button。

  - 点击“邀请奖励规则“文字链进入邀请奖励规则页。

    - **邀请奖励规则**

      系统将根据管理员在创建活动时所配置的即时奖励信息（闯关奖励和竞赛奖励规则不在该页面展示），自动生成响应的说明文案。

      - **邀请规则**

        转化路径的入口不同，显示的文案不同，分以下3套文案：

        - **服务号关注**

          “好友通过您分享的二维码海报扫码关注，即算为被您成功邀请的受邀人。

          受邀人的身份条件为：{身份条件文案}，若分享的好友不满足该条件，则不计入受邀人统计。

          在同一场活动中，一个用户只能被邀请成为受邀人一次。即您邀请的受邀人无法再成为别人的受邀人，别人的受邀人也不会因为您的再次邀请而成为您的受邀人。”

        - **活动营销页**

          “好友通过您分享的小程序卡片或二维码海报访问活动营销页，即算为被您成功邀请的受邀人。

          受邀人的身份条件为：{身份条件文案}，若分享的好友不满足该条件，则不计入受邀人统计。

          在同一场活动中，一个用户只能被邀请成为受邀人一次。即您邀请的受邀人无法再成为别人的受邀人，别人的受邀人也不会因为您的再次邀请而成为您的受邀人。”

        - **游戏页面**

          “好友通过您分享的小程序卡片或二维码海报成功参与游戏，即算为被您成功邀请的受邀人。

          受邀人的身份条件为：{身份条件文案}，若分享的好友不满足该条件，则不计入受邀人统计。

          在同一场活动中，一个用户只能被邀请成为受邀人一次。即您邀请的受邀人无法再成为别人的受邀人，别人的受邀人也不会因为您的再次邀请而成为您的受邀人。”

      - **服务号关注奖励**

        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明

        - **邀请人奖励**

          只有配置了邀请人奖励才显示以下信息

          - **定额奖励**

            “每有一位受邀人成功关注服务号，奖励X积分。”

          - **阶梯奖励**

            ”每有一位受邀人成功关注服务号，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。“

            ps：文案下方以表格的形式呈现各阶梯的区间值和积分奖励额度，详见产品原型。

        - **受邀人奖励**

          只有配置了邀请人奖励才显示以下信息
    
          - **只有积分奖励**
    
            “成功关注服务号，奖励X积分。”
    
          - **只有卡券奖励**
    
            “成功关注服务号，奖励卡券（{卡券名称}）。”
    
          - **积分卡券奖励都有**
    
            “成功关注服务号，奖励X积分和卡券（{卡券名称}）。”

      - **活动营销页访问奖励**
      
        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明
      
        - **邀请人奖励**
      
          只有配置了邀请人奖励才显示以下信息
      
          根据不同的奖励模式，奖励说明样式不同，分以下2种样式：
      
          - **定额奖励**
            
            “每有一位受邀人成功访问活动营销页，奖励X积分。”
            
          - **阶梯奖励**
            
            “每有一位受邀人成功访问活动营销页，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。”
            
            ps：文案下方以表格的形式呈现各阶梯的区间值和积分奖励额度，详见产品原型。
      
        - **受邀人奖励**
          只有配置了邀请人奖励才显示以下信息
      
          - **只有积分奖励**
            “成功访问活动专题页，奖励X积分。”
            
          - **只有卡券奖励**
            “成功访问活动专题页，奖励卡券（{卡券名称}）。”
            
          - **积分卡券奖励都有**
            “成功访问活动专题页，奖励X积分和卡券（{卡券名称}）。”
      
      - **会员认证奖励**
        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明
        
        - **邀请人奖励**
          
          只有配置了邀请人奖励才显示以下信息
          
          根据不同的奖励模式，奖励说明样式不同，分以下2种样式：
          
          - **定额奖励**
            
            每有一位受邀人成功完成会员认证，奖励X积分。
            
          - **阶梯奖励**
            
            每有一位受邀人成功完成会员认证，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。
            
            ps：文案下方以表格的形式呈现各阶梯的区间值和积分奖励额度，详见产品原型。
          
        - **受邀人奖励**
          
          只有配置了邀请人奖励才显示以下信息
          - **只有积分奖励**
            “成功完成会员认证，奖励X积分。”
            
          - **只有卡券奖励**
            
            “成功完成会员认证，奖励卡券（{卡券名称}）。”
            
          - **积分卡券奖励都有**
            “成功完成会员认证，奖励X积分和卡券（{卡券名称}）。”
        
      - **游戏参与奖励**
        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明
        
        - **邀请人奖励**
          
          只有配置了邀请人奖励才显示以下信息
          
          根据不同的奖励模式，奖励说明样式不同，分以下2种样式：
          
          - **定额奖励**
            
            每有一位受邀人成功参与游戏，奖励X积分。
            
          - **阶梯奖励**
          
            每有一位受邀人成功参与游戏，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。
            ps：文案下方以表格的形式呈现各阶梯的区间值和积分奖励额度，详见产品原型。          
          
        - **受邀人奖励**
          只有配置了邀请人奖励才显示以下信息            
        
          - **只有积分奖励**
        
            “成功参与游戏，奖励X积分。”
        
          - **只有卡券奖励**
        
            “成功参与游戏，奖励卡券（{卡券名称}）。”
        
          - **积分卡券奖励都有**
        
            “成功参与游戏，奖励X积分和卡券（{卡券名称}）。”
        
      - **卡券领取奖励**
      
        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明
      
        - **邀请人奖励**
      
          只有配置了邀请人奖励才显示以下信息
      
          根据不同的奖励模式，奖励说明样式不同，分以下2种样式：
      
        - **定额奖励**
      
          每有一位受邀人成功领取卡券，奖励X积分。
      
        - **阶梯奖励**
      
          每有一位受邀人成功领取卡券，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。
      
          ps：文案下方以表格的形式呈现各阶梯的区间值和积分奖励额度，详见产品原型。
      
        - **受邀人奖励**
      
          只有配置了邀请人奖励才显示以下信息
      
        - **只有积分奖励**
      
          “成功领取卡券，奖励X积分。”
      
        - **只有卡券奖励**
      
          “成功领取卡券，奖励卡券（{卡券名称}）。”
      
        - **积分卡券奖励都有**
      
          “成功领取卡券，奖励X积分和卡券（{卡券名称}）。”
      
      - **消费奖励**
      
        如果邀请人奖励和受邀人奖励都没有配置，则直接不显示该栏说明
      
        - **邀请人奖励**
      
          只有配置了邀请人奖励才显示以下信息
      
          由以下5部分构成，自上而下分段显示。
      
          - **奖励模式**
      
            - **定额奖励**
      
              “每有一位受邀人成功消费，奖励X积分。”
      
            - **阶梯奖励**
      
              “每有一位受邀人成功消费，可获得一笔积分奖励，具体奖励额度根据成功人数有阶梯变化，即成功人数越多，单次奖励的额度也越高。”
      
            - **成交额等比奖励**
      
              “受邀人每消费X元奖励X积分。”
      
          - **消费行为控制**
      
            “受邀人的消费须满足以下条件，奖励才能生效。
      
            - 消费门店：{管理员后台填写的文案}
            - 消费金额：X-X元
      
            - 消费件数：X-X件”
      
            视管理员配置情况显示1-3项，如果没有配置消费行为控制，则这部分内容不显示。
      
          - **奖励限制**
      
            - **不限制奖励**
      
              为空
      
            - **限制奖励次数**
      
              “同一位受邀人连续消费X次以内可触发奖励，超过该上限则不触发奖励。”
      
            - **限制奖励额度**
      
              “同一位受邀人消费奖励上限为X积分，超过上限后，受邀人消费将不再触发奖励。”
      
          - **防欺诈风险控制**
      
            - **延时发放**
      
              “积分将在X天后到账，以避免受邀人退款对奖励结算所造成的影响。”
      
            - **积分冻结**
      
              “积分有X天的冻结期，到期解冻后方可使用。若受邀人此后产生退款，将对奖励作重新结算，追扣（回收）相应额度的积分奖励。”
      
            - **不予控制**
      
              为空
      
          - **阶梯奖励表**
      
            奖励模式为“阶梯奖励”时才显示该表格，呈现各阶梯的区间值和积分奖励额度，详见产品原型。
      
        - **受邀人奖励**
      
          只有配置了邀请人奖励才显示以下信息
      
          由以下4部分构成，自上而下分段显示。
      
          - **奖励内容**
      
            显示固定文案“成功完成一次消费，可获得如下奖励：”，下方根据管理员具体配置的受邀人奖励内容进行展示，详见原型。
      
            - **积分**
      
              - **定额奖励**
      
                显示具体的积分额度（数值）
      
              - **阶梯奖励**
      
                “奖励额度参见下表”
      
              - **成交额等比奖励**
      
                “每消费X元奖励X积分”
      
            - **卡券**
      
              - **固定奖励**
      
                显示具体的卡券名称
      
              - **阶梯奖励**
      
                “奖励内容参见下表”
      
          - **奖励提示**
      
            显示固定文案“同一个受邀人多次消费，只触发一次受邀人奖励。”
      
          - **积分奖励表**
      
            只有受邀人积分奖励为“阶梯奖励”时才显示该表格，呈现各阶梯的区间值和积分奖励额度，详见产品原型。
      
          - **卡券奖励表**
      
            只有受邀人卡券奖励为“阶梯奖励”时才显示该表格，呈现各阶梯的区间值和卡券名称，详见产品原型。
      
  
- ### **竞赛排名**

  - **竞赛项列表**

    - 展示当前活动所配置的竞赛项，根据竞赛项所对应的行为在转化路径中的先后顺序进行排序，每页最多三项，可通过左右滑动翻页。
    - 竞赛项由名称和排名构成，竞赛项名称由“{行为名称}”+“排名”组合构成，消费竞赛比较特殊，根据成交人数和成交额两种竞赛指标，竞赛项名称分别为“成交人数排名”和“成交额排名”。
    - 点击具体的竞赛项可进入该竞赛项的详情页。

  - **竞赛详情**

    - **页面标题**

      标题就是把镜像项名称中的“排名”文案改为“竞赛”

    - **竞赛说明**

      - **奖项说明**

        显示该竞赛项下各个奖项的名称、排名区间、奖励积分额度和卡券名称。

      - **规则说明**

        同一位受邀人，累计成交额统计上限为x元。

        - **服务号关注**

          “以完成服务号关注的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

        - **活动营销页访问**

          “以完成活动营销页访问的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

        - **会员认证**

          “以完成会员认证的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

        - **游戏参与**

          “以完成游戏参与的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

        - **卡券领取**

          “以完成卡券领取的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

        - **消费**

          根据排名指标的不同，展示不同的文案。此外，如果是成交额竞赛且配置了防欺诈风险控制，则还需要领取一段显示文案“同一位受邀人，累计成交额统计上限为x元。”

          - **成交人数**

            “以完成消费的受邀人数量进行排名，在活动结束后进行统一的奖励结算。”

          - **成交额**

            “以名下所有受邀人在活动期间的总成交额进行排名，在活动结束后进行统一的奖励结算。”

    - **我的排名**

      显示自己的头像、昵称、排名和成绩，消费行为的成绩分为人数和成交额，其他行为的成绩只有人数。

    - **排行榜前50名**

      显示当前该竞赛项排名前50的邀请人的头像、昵称、排名和成绩。

- ### **闯关奖励**

  - **闯关项列表**

    - 展示当前活动所配置的闯关项，同一类的闯关项只显示当前未完成的最低阶的一项，若该类闯关项已全部完成则不显示该闯关项。
    - 根据闯关项所对应的行为在转化路径中的先后顺序进行排序，每页最多显示4项，可通过左右滑动翻页。
    - 闯关项由名称和进度构成，其中名称以如下标准进行展示，成交额闯关进度以百分比展示，其他闯关进度都以分数（x/y）的样式展示。
      - **服务号关注**：邀请X人关注服务号
      - **活动营销页访问**：邀请X人访问营销活动页
      - **会员认证**：邀请X人完成会员认证
      - **游戏参与**：邀请X人参与游戏
      - **卡券领取**：邀请X人领取卡券
      - **消费**
        - **成交人数**：邀请X人完成消费
        - **成交额**：总成交额达到X元
    - 点击具体的闯关项可进入该竞赛项的详情页。

  - **闯关详情**

    不同类型的闯关项显示不同的页面标题

    - **页面标题**：

      闯关项名称由“{行为名称}”+“闯关”组合构成，消费闯关比较特殊，根据成交人数和成交额两种闯关指标，闯关项名称分别为“成交人数闯关”和“成交额闯关”。

    - **规则说明**

      分三行进行显示，前2行为固定文案，第3行只有在成交额闯关且配置了防欺诈风险控制才显示。

      - “完成各关卡的闯关任务，即可领取奖励。”
      - “关卡自上而下，难度逐级递增。”
      - “同一位受邀人，累计成交额统计上限为x元。”

    - **闯关项列表**

      - **闯关项名称**

        上方“闯关项列表”中有说明。

      - **达成进度**

        以分数（x/y）的样式展示

      - **奖励内容**

        显示奖励的积分额度和卡券名称

      - **状态**

        状态有“未完成”和“已完成”两种

      - **排序**

        同一类闯关的所有闯关项指标都是一样的，根据指标额度升序排列。

- ### **分享button**

  - **活动待开始**

    - **button背景色**：灰色
    - **文字色**：白色
    - **文案**：活动将于X月X日mm:ss开启
    - **交互**：无法点击。

  - **活动进行中**

    - **button背景色**：由管理员在创建活动时设置

    - **文字色**：由管理员在创建活动时设置

    - **文案**：由管理员在创建活动时设置

    - **交互**：基于不同的活动配置，呈现不同的交互样式

      ​		PS：只有会员可以进行分享，非会员会报错提示引导其进行认证。

      - 若以关注服务号作为转化路径的入口，点击button弹出海报保存框，用户可保存服务号二维码海报。

        调用微信服务号的临时二维码创建接口（有效期30天），把邀请人参数带入到二维码参数中，后续才能通过关注事件通知把该参数转发给奖励结算模块。

      - 若不以关注服务号作为转化路径的入口，点击button弹出选择框：

        - **转发好友**：

          点击该选项，调用小程序的微信好友分享接口，用户选择好友即可转发。

          小程序卡片中要带入邀请人参数，供活动营销页或游戏页面接收该参数，并通过事件通知再转发给奖励结算模块。

        - **转发朋友圈**：

          点击该选项则弹出海报保存框，用户可保存小程序二维码海报。

          调用微信小程序的临时二维码创建接口（有效期30天），把邀请人参数带入到二维码参数中，后续才能通过关注事件通知把该参数转发给奖励结算模块。

  - **活动已结束**

    - **button背景色**：灰色
    - **文字色**：白色
    - **文案**：活动已结束
    - **交互**：无法点击。



- ### **活动规则**

  根据不同的展现模式，调用不同的内容进行展示。

  - **文字模式**

    根据管理员在后台活动配置时编辑的文本进行展示。

  - **图文模式**

    引用管理员在后台活动配置时关联的自定义页面元素进行展示。