# 分享有礼-活动管理

1. ### 需求概览

   - ##### 功能简述

     邀请人通过分享小程序卡片或带服务号/小程序二维码的海报，引导受邀人完成指定行为，从而使邀请人和受邀人获得指定奖励。

   - ##### 涉众分析

     - **管理员**

       创建和维护活动计划，并对活动的数据做浏览、导出等分析操作。

     - **邀请人**

       分享小程序卡片或带服务号/小程序二维码的海报的用户，即可称呼为邀请人。

       邀请人通过邀约好友参与活动，达成相关的行为，从而获得奖励。

     - **受邀人**

       进入邀请人分享的卡片或二维码的用户，即可称呼为受邀人。

       受邀人通过达成指定行为，可以使邀请人和自己获得奖励。

     

2. #### 活动计划列表

   - **活动计划状态**

     - **无进行中活动**

       该状态下可以新建活动，历史已结束的活动会呈现在列表中；

     - **进行中的活动**
       当有进行中的活动时，无法再创建活动，即同一时间只能创建一个活动。

       进行中的活动默认展开数据分析内容元素，不可折叠。

     - **已结束的活动**
       默认折叠数据分析内容元素，且同一时间只能展开一个，即当另一个已结束的活动展开数据分析，之前展开的已结束活动的数据分析内容就会被折叠。

   - **活动数据分析**

     - **活动曝光人数**

       统计"活动中心"页面的UV总数进行展示，即基于小程序openID去重统计的页面加载日志总数量。

     - **参与人数**

       统计至少成功邀约1人的邀请人总数进行展示。

       虽然严格意义上而言，只要有分享行为就算是参与了，但是分享小程序卡片拿不到分享状态的响应值，保存海报图片又无法确认用户是否真的把图片进行分享了。因此，只有至少成功邀约1人的邀请人，才能100%确保其参与了活动。

     - **参与率**

       计算“参与人数÷活动曝光人数”的值进行展示。

     - **受邀人数**

       统计受邀人总数进行展示。

     - **传播系数**

       计算“受邀人数÷参与人数”的值进行展示。

     - **响应转化漏斗**

       - **节点层**

         原型中蓝色的层级，根据转化路径的节点数不同，显示不同数量的节点层。在活动创建时被前端隐藏的，以及管理员没有勾选的节点，都不会展示。

         节点层展示具体节点的行为名称，和成功完成相应行为的人数。

         消费行为节点比较特殊，除了显示人数，还要显示累计成交额（包括单个受邀人多笔消费、退款的额度）。

       - **转化层**

         原型中灰色的层级，简单地拿下一节点层的人数÷上一节点层的人数，格式为xx.x%

         当节点层只有1层时，则不需要显示转化层。

     - **15天趋势图**

       数据分析在第一版中只做日最近15天的新增参与人数（邀请人）和日新增受邀人数的趋势分析。
       
       后续会支持参与率、传播系数以及各节点层的新增人数趋势和转化层的转化率变化趋势，但该部分需求的实现成本较大，需要数仓支持，且目前尚不明确分享有礼的市场反应。因此，这部分需求规划到后期再实现。

   - **活动计划操作项**

     - **活动配置**

       点击可进入活动编辑流程，已经结束的活动只能查看，所有内容都不能编辑。

       正在进行的活动，大部分的信息可进行修改，具体规则如下：

       - **基本信息**

         编辑状态下的基本信息页和新建状态下不同，详见原型。

         - 活动名称可以修改
         - 活动有效期可以修改，但对于已经开始的活动，开始时间无法改到当前时间之后，结束时间无法改到当前时间之前。
     
       - **活动中心配置**
     
         所有内容均可修改
     
       - **小程序卡片配置**
     
         所有内容均可修改
     
       - **分享海报配置**
     
         所有内容均可修改
     
       - **奖励配置**
     
         - **奖励模式**
     
           禁止修改
     
         - **
         - 身份控制**
     
           所有内容均可修改
     
         - **消费行为控制**
     
           所有内容均可修改
     
         - **奖励方案**
     
           - **即时奖励**
     
             所有内容均可修改
     
           - **闯关奖励**
     
             可以新增更高级别的，但之前的闯关项无法修改
     
           - **竞赛奖励**
     
             所有内容均可修改
     
           所有内容均可修改
         
     - **防欺诈风险控制**
         
       - 成交额上限控制禁止修改
           - 积分处理方案可以修改
     
     - **复制路径**
     
       只有当前进行中的活动会显示该button，点击后复制小程序路径。
     
     
     
     
     
     - **数据明细**
     
       - **邀请人列表**
         
         - **展示说明**
           
           默认根据邀请人的参与时间，由近及远进行排序。
           
         - **字段说明**
           
           - **邀请人信息**
           
             显示头像和姓名
           
           - **参与时间**
           
             该邀请人的首个受邀人的创建时间，以yyyy-mm-dd hh:mm的格式显示，可进行升降排序。
           
           - **邀请人数**
           
             该邀请人名下的邀请人总数，可进行升降排序，点击进入【邀请人日志】页面的【邀请日志】标签页。
           
           - **积分收益**
           
             该邀请人的积分收益总额，即该邀请人名下所有积分奖励明细的额度之和。
           
             因此，冻结的积分要计入（产生了明细），退款的追扣积分要减去，延时发放的积分额度不计入（没有产生明细）。
           
             可进行升降排序，点击进入【邀请人日志】页面的【积分收益明细】标签页。
           
           - **卡券收益**
           
             该邀请人的卡券收益数量，包含已发放但未领取的数量。
           
             可进行升降排序，点击进入【邀请人日志】页面的【卡券收益明细】标签页。
           
         - **数据导出**
         
           可以导出所有邀请人的数据，文件名称为“{活动名称}邀请人列表yyyymmddhhmm”。
         
           由于涉及到敏感字段，也需要用户选择导出模式为“脱敏数据”还是“完整数据”，这部分需求在GIC3.0属于通用功能，在此不加赘述。
         
           - **姓名**
         
             该邀请人的姓名
         
           - **昵称**
         
             该邀请人的微信成
         
           - **会员卡号**
         
             该邀请人的会员卡号
         
           - **手机号码**
         
             该邀请人的手机号码
         
           - **会员等级**
         
             该邀请人当前会员等级名称
         
           - **服务门店名称**
         
             该邀请当前服务门店的名称
         
           - **服务门店code**
         
             该邀请当前服务门店的code
         
           - **专属导购姓名**
         
             该邀请当前的专属导购的姓名
         
           - **专属导购code**
         
             该邀请当前的专属导购的code
         
           - **参与时间**
         
             该邀请人的首个受邀人的创建时间，以yyyy-mm-dd hh:mm的格式显示
         
           - **邀请人数**
         
             该邀请人名下的邀请人总数
         
           - **积分收益**
         
             该邀请人的积分收益总额，即该邀请人名下所有积分奖励明细的额度之和。
         
             因此，冻结的积分要计入（产生了明细），退款的追扣积分要减去，延时发放的积分额度不计入（没有产生明细）。
         
           - **卡券收益**
         
             该邀请人的卡券收益数量，包含已发放但未领取的数量。
         
         - **邀请人日志**
         
           页面上半部分展示该邀请人的头像、姓名、邀请人数、积分收益额度和卡券收益数量。
         
           - **邀请日志**
         
             - **展示说明**
         
               默认根据受邀人的创建时间，由近及远进行排序。
         
             - **字段说明**
         
               - **受邀人信息**
         
                 显示头像和姓名，如果受邀人没有开卡（没有认证姓名为空）则显示昵称。
         
               - **创建时间**
         
                 该受邀人的创建时间，以yyyy-mm-dd hh:mm的格式显示，可进行升降排序。
         
                 注意：不是这个memberID的创建时间，而是这个用户相对于这场活动而言的受邀人身份的创建时间。
         
               - **转化进度**
         
                 显示该受邀人当前最新的行为事件名称，点击进入【受邀人日志】
         
             - **导出数据**
         
               可以导出邀请人所有的卡券收益数据，文件名称为“{活动名称}邀请人积分收益明细yyyymmddhhmm”。
         
               - 受邀人信息
             - 创建时间
               
             - 转化进度
           
         - **积分收益明细**
           
           - **展示说明**
           
             奖励明细根据时间由近及远排序。
           
             - **字段说明**
           
               - **奖励时间**
           
                 奖励日志的时间，以yyyy-mm-dd hh:mm的格式显示。
           
               - **奖励来源**
           
                 - **即时奖励**
                 - 黑色的标题显示固定文案“即时奖励”（如果是积分追扣明细，则后面加括号显示“退款追扣”字样）
                   - 灰色的描述文案显示触发该即时奖励的事件类型名称
               - **闯关奖励**
                   - 黑色的标题显示“闯关奖励”固定文本
                 - 灰色的描述文案显示文案模板：邀请X人{行为名称}
                 - **竞赛奖励**
                 - 黑色的标题显示奖项名称
                 - 灰色的描述文案显示文案模板：{行为名称}排名第X
           
             - **受邀人信息**
           
               显示头像和姓名，如果受邀人没有开卡（没有认证姓名为空）则显示昵称。
           
             - **奖励额度**
           
                 奖励显示积分新增或追扣的额度
             
           - **导出数据**
           
             可以导出邀请人所有的卡券收益数据，文件名称为“{活动名称}邀请人积分收益明细yyyymmddhhmm”。
           
               - 奖励时间
             - 奖励来源
               - 受邀人信息
               - 奖励内容
           
           - **卡券收益明细**
           
           - **展示说明**
           
             奖励明细根据时间由近及远排序。
           
           - **字段说明**
           
             - **奖励时间**
           
                 奖励日志的时间，以yyyy-mm-dd hh:mm的格式显示。
           
               - **奖励来源**
           
                 - **闯关奖励**
                   - 黑色的标题显示“闯关奖励”固定文本
                   - 灰色的描述文案显示文案模板：邀请X人{行为名称}
                 - **竞赛奖励**
                   - 黑色的标题显示奖项名称
                   - 灰色的描述文案显示文案模板：{行为名称}排名第X
           
               - **受邀人信息**
           
                 显示头像和姓名，如果受邀人没有开卡（没有认证姓名为空）则显示昵称。
           
               - **奖励额度**
           
                 显示奖励的卡券名称
               
             - **导出数据**
             
               可以导出邀请人所有的卡券收益数据，文件名称为“{活动名称}邀请人卡券收益明细yyyymmddhhmm”。
             
               - 奖励时间
               - 奖励来源
               - 受邀人信息
               - 奖励内容
             
             
         
       - **受邀人列表**
         
         - **展示说明**
           
           默认根据受邀人的创建时间，由近及远进行排序。
           
         - **字段说明**
         
           - **受邀人信息**
         
             显示头像和姓名，如果受邀人没有开卡（没有认证姓名为空）则显示昵称。
         
           - **创建时间**
         
             该受邀人的创建时间，以yyyy-mm-dd hh:mm的格式显示，可进行升降排序。
         
             注意：不是这个memberID的创建时间，而是这个用户相对于这场活动而言的受邀人身份的创建时间。
         
           - **邀请人信息**
         
             显示该受邀人所归属的邀请人的头像和姓名。
         
           - **转化进度**
         
             显示该受邀人当前最新的行为事件名称，点击进入【受邀人日志】
         
         - **数据导出**
         
           可以导出所有受邀人的数据，文件名称为“{活动名称}受邀人列表yyyymmddhhmm”。
         
           由于涉及到敏感字段，也需要用户选择导出模式为“脱敏数据”还是“完整数据”，这部分需求在GIC3.0属于通用功能，在此不加赘述。
         
           - **受邀人姓名**
         
             该受邀人的姓名，如果没有则为空
         
           - **受邀人昵称**
         
             该受邀人的微信昵称
         
           - **受邀人会员卡号**
         
             该受邀人的会员卡号，如果没有则为空
         
           - **受邀人手机号码**
         
             该受邀人的手机号码，如果没有则为空
         
           - **受邀人会员等级**
         
             该受邀人当前的会员等级名称，如果没有则为空
         
           - **受邀人服务门店名称**
         
             该受邀人当前的服务门店名称，如果没有则为空
         
           - **受邀人服务门店code**
         
             该受邀人当前的服务门店code，如果没有则为空
         
           - **受邀人专属导购姓名**
         
             该受邀人当前的专属导购的姓名，如果没有则为空
         
           - **受邀人专属导购code**
         
             该受邀人当前的专属导购的code，如果没有则为空
         
           - **邀请人姓名**
         
             该邀请人的姓名
         
           - **邀请人昵称**
         
             该邀请人的微信成
         
           - **邀请人会员卡号**
         
             该邀请人的会员卡号
         
           - **邀请人手机号码**
         
             该邀请人的手机号码
         
           - **邀请人会员等级**
         
             该邀请人当前会员等级名称
         
           - **邀请人服务门店名称**
         
             该邀请当前服务门店的名称
         
           - **邀请人服务门店code**
         
             该邀请当前服务门店的code
         
           - **邀请人专属导购姓名**
         
             该邀请当前的专属导购的姓名
         
           - **邀请人专属导购code**
         
             该邀请当前的专属导购的code
         
           - **创建时间**
         
             该受邀人的创建时间，以yyyy-mm-dd hh:mm的格式显示。
         
             注意：不是这个memberID的创建时间，而是这个用户相对于这场活动而言的受邀人身份的创建时间。
         
           - **转化进度**
         
             该受邀人当前最新的行为事件名称
         
         
         
         
         - **受邀人日志**
         
           页面上半部分显示受邀人的头像和姓名，如果受邀人没有开卡（没有认证姓名为空）则显示昵称。
         
           - **展示说明**
         
             默认根据行为事件的时间，由近及远进行排序。
         
           - **字段说明**
         
             - **操作时间**
           
               事件产生的时间，由事件通知方提供，以yyyy-mm-dd hh:mm的格式显示。
           
             - **转化进度**
           
               显示具体的行为名称
           
             - **详情**
           
               当前只有消费行为事件有详情，内容为“订单编号：XXXXXXXXXXXXXXXXX”。
           
               其他类型详情为空即可。
           
     
     
     
     
     
     

3. #### 活动计划创建

   - **活动目的**

     活动目的分2级，2级之间的级联关系和页面文案如下：

     - **品牌传播**

       “主要以推广品牌服务号和品牌会员为目的，旨在和更多潜在消费者或老客加强品牌互动。”

       - **服务号吸粉**

         - **适用场景**

           “希望提升服务号粉丝数量，构建和老客或潜在新客的线上互动通道，建立自身私域流量池。”

         - **优劣分析**

           “优势在于转化路径短、转化成本低，但单纯的服务号吸粉较难包装出动人的活动主题，受邀人缺乏转化动力。”

       - **会员招募**

         - **适用场景**

           “以召回老会员在线认证或招募新会员为核心需求，旨在扩大品牌影响力，并可收集新会员手机号码。”

         - **优劣分析**

           “会员认证可以有效沉淀真正对品牌感兴趣的潜在新客，适度的参与成本能够过滤掉大多数无效受邀人。但单纯会员办理的活动形式过于生硬，缺乏引导转化的抓手。”

     - **活动宣传**

       “有明确的活动主题，以提升活动的曝光范围和强度为核心目的，让更多受众能够了解和参与活动。”

       - **活动曝光**

         - **适用场景**

           “以提升活动营销页的浏览曝光量为目标，希望有更多人能了解到该活动内容，对活动效果不做过多考量。”

         - **优劣分析**

           “邀请人和受邀人的参与门槛都很较低，活动规则简单易懂。但对活动成效的推动能力有限。”

       - **游戏营销**

         - **适用场景**

           “适合以游戏的形式进行主题包装的活动，可提升游戏营销活动的参与活跃度，也能顺带转化认证会员。”

         - **优劣分析**

           “游戏营销能够极大地催化活动效果，对受邀人的参与度起到积极正向的影响。但需要参与者先认证，增加了转化成本。”

       - **卡券营销**

         - **适用场景**

           “核心诉求为提升活动卡券的投放和触达人群，通过直接投放、活动页领取、游戏奖励等方式均可投放。”

         - **优劣分析**

           “卡券是仪式感最强的权益触达方式，能最大程度地引导受众到店或消费。”

     - **分销推广**

       “以产生成交转化作为活动的最终目的，通过分销（分享裂变）的方式，用存量老客带动新客，从而赢得销售增量。”

       - **全渠道**

         - **适用场景**

           “适合线上线下的会员、营销和货品体系融合较深的企业，不限制受邀人的消费渠道，单纯追求拉新和成交转化。”

         - **优劣分析**

           “可根据受邀人自身需求选择消费渠道，势必能够提升新老客的成交转化效率，立竿见影提升活动投资回报比。”

       - **线下门店**

         - **适用场景**

           “主要以线上营销引导至线下到店消费(O2O)的形式为主，适用于线下特定场景的活动，或线上渠道建设尚不完善的企业。”

         - **优劣分析**

           “强化线下门店的场景，能起到较好的品牌形象背书，但活动效果往往与门店密度、分布和商圈成高度正相关。”

       - **微信商城**

         - **适用场景**

           “针对线上营销且在线上（微信商城）完成消费的场景，即常规意义上的分销模式。”

         - **优劣分析**

           “成交更便捷，转化路径通畅，但对尚未建立足够品牌认知的客户而言，微信商城的信赖度略显不足。”

   - **转化路径**

     用户选择的二级分类不同，转化路径的选项也不同，详见下表：

     ![mark](http://qiniu.demogic.com/blog/20191113/i4LHR6yc5LqI.png?imageslim)

   - **准备工作**

     基于不同的转化路径，会显示不同的卡片，卡片上的文案也有所不同。

     - **活动营销页**

       转化路径中包含“访问活动营销页”即显示该卡片

       - **文案**
     
    - **包含“服务号关注”**
      
      “受邀人关注服务号后，系统将自动推送活动营销页的小程序卡片，请选择具体的活动营销页以协助系统完成自动回复配置。如果您还没有创建活动营销页，请立即前往创建。”
      
    - **不包含“服务号关注”**
      
      “系统将自动生成活动营销页的小程序或二维码海报，请选择具体的活动营销页以协助系统完成配置。如果您还没有创建活动营销页，请立即前往创建。”
      
    - **选择活动营销页**

      调用自定义页面的数据，单选一个页面作为该分享有礼活动的活动营销页。

    - **立即前往创建**

      点击新开窗口打开自定义页面列表页。注意一定要新开窗口！！！

  - **游戏计划**
   
    转化路径中包含“游戏参与”即显示该卡片
   
       - **文案**
      - **包含“访问活动营销页”**
      
        “请选择具体的游戏计划并确保已在活动营销页配置了链接，系统将跟踪受邀人在该游戏计划的行为。如果您还没有创建游戏计划，请立即前往创建。”
      
      - **不包含“访问活动营销页”**
      
        - **包含“服务号关注”**
        
          “受邀人关注服务号后，系统将自动推送游戏页面的小程序卡片，请选择具体的游戏计划以协助系统完成自动回复配置。如果您还没有创建游戏计划，请立即前往创建。”
        
        - **不包含“服务号关注”**
        
          “系统将自动生成游戏页面的小程序或二维码海报，请选择具体的游戏计划以协助系统完成配置。如果您还没有创建游戏计划，请立即前往创建。”
      
    - **选择游戏计划**
    
      调用通用的级联选择器样式，第1级展示游戏类型，第2级展示对应游戏类型下的游戏计划。
    
    - **立即前往创建**
    
      点击新开窗口打开游戏营销频道页。注意一定要新开窗口！！！
   
  - **卡券配置**
   
    转化路径中包含“卡券领取”即显示该卡片
   
       - **文案**
       
         - **包含“游戏参与”**
         
           “请选择具体的卡券并确保已在游戏计划中配置了该卡券作为奖品，系统将跟踪受邀人领取该卡券的状态。如果您还没有创建游戏计划，请立即前往创建。”
         
         - **不包含“游戏参与”**
         
           - **包含“会员认证”**
         
             “受邀人完成会员认证后可获得卡券，请选择具体的卡券以协助系统完成认证后自动推送配置。如果您还没有创建卡券，请立即前往创建。”
         
           - **不包含“会员认证”**
         
             - **包含“访问活动营销页”**
         
               “请选择具体的卡券并确保已在活动营销页配置了该卡券的领取链接，系统将跟踪受邀人领取该卡券的状态。如果您还没有创建游戏计划，请立即前往创建。”
         
             - **不包含“访问活动营销页”**
         
               “受邀人关注服务号后，系统将自动推送卡券，请选择具体的卡券以协助系统完成自动回复配置。如果您还没有创建卡券，请立即前往创建。”
       
       - **选择卡券**
       
         弹出通用的卡券选择样式，过滤掉领取限制＜100的卡券。
       
       - **立即前往创建**
    
      点击新开窗口打开卡券列表页。注意一定要新开窗口！！！
   
- **基本信息**
  
  - **活动名称**
  
    设置该分享有礼活动的名称，文本要求详见原型中的元件备注说明。
  
  - **活动有效期**
  
    选择活动的开始时间和结束时间，跨度不得大于1年。
    
    - 活动时间选择的条件限制
      - 开始时间的选择范围为当天的任意时间点以后（即当天0点以后的时间都可以设置，开始时间小于创建时间的情况视为活动已开始）
      - 结束时间不允许同一天（即活动周期必须大于一天）
  
- **活动中心配置**
  
  - **小贴士**
  
    根据转化路径的不同，显示的文案不同。
  
    - **包含“服务号关注”**
  
         “活动中心是邀请人访问的页面，用于介绍活动和奖励规则，展示受邀人清单和奖励信息。
      当前活动的转化路径以服务号作为受邀人入口，邀请人可在活动中心一键保存服务号的带二维码海报，以实现朋友圈转发。"
  
    - **不包含“服务号关注”**
  
         ”活动中心是邀请人访问的页面，用于介绍活动和奖励规则，展示受邀人清单和奖励信息。
      当前活动的转化路径以小程序作为受邀人入口，邀请人可在活动中心一键转发小程序卡片给微信好友，或保存小程序带二维码海报以实现朋友圈转发。"
  
  - **配置项**
  
    - **头图上传**
  
      宽度≥750px，宽高比≤2，大小不超过1M，仅限JPG格式。
  
    - **分享按钮背景色**
  
      默认为UI设计的颜色值，可使用颜色选择控件自定义颜色值。
  
    - **分享按钮文字色**
  
      默认为UI设计的颜色值，可使用颜色选择控件自定义颜色值。
  
    - **分享按钮文案**
  
      默认为“立即分享赢福利”，可自定义编辑文本，文本要求详见原型中的元件备注说明。
  
    - **活动介绍展示模式**
  
      - **文字模式**
  
        使用当前微商城的商品详情编辑器，但要删掉图片上传和粘贴的功能，即不用支持编辑器中包含图片。
  
      - **图文模式**
  
        单项一个自定义页面，引用该页面中的装修元素。
  
  - **预览区**
  
    - **页面标题**
  
      显示活动名称
  
    - **头图**
  
      默认灰色底（缺省状态），用户上传图片后实时显示上传的图片
  
    - **收益栏**
  
      积分和卡券都是0
  
    - **已邀请好友**
  
      无邀请好友的状态，实时显示当前配置的背景色、文字色
  
    - **分享button**
  
      实时显示当前配置的背景色、文字色和文案
  
    - **活动介绍**
  
      实时显示当前用户编辑的文案或引用的自定义页面元素
  
- **小程序卡片配置**
  
  当转化路径包含“服务号关注”，且不包含“访问活动营销页”、“会员认证”和“游戏参与”时，直接不显示该配置步骤。
  
  - **小贴士**
  
    根据转化路径的不同，显示的文案不同。
  
    - **包含“服务号关注”**
  
      - **包含“访问活动营销页”**
  
        “受邀人服务号关注后，系统将自动发送【活动营销页】的小程序卡片，请对小程序卡片的样式进行设置。优秀的活动标题和封面图可以大幅提升受邀人的参与积极性！”
  
      - **不包含“访问活动营销页”**
  
        - **包含“游戏参与”**
  
          “受邀人服务号关注后，系统将自动发送【游戏页面】的小程序卡片，请对小程序卡片的样式进行设置。优秀的活动标题和封面图可以大幅提升受邀人的参与积极性！”
  
        - **不包含“游戏参与”**
  
          “受邀人服务号关注后，系统将自动发送【会员认证】的小程序卡片，请对小程序卡片的样式进行设置。优秀的活动标题和封面图可以大幅提升受邀人的参与积极性！”
  
    - **不包含“服务号关注”**
  
      - **包含“访问活动营销页”**
  
        “邀请人可在活动中心一键转发【活动营销页】的小程序卡片给微信好友，请对小程序卡片的样式进行设置。优秀的活动标题和封面图可以大幅提升受邀人的参与积极性！”
  
      - **不包含访问活动营销页”**
  
        “邀请人可在活动中心一键转发【游戏页面】的小程序卡片给微信好友，请对小程序卡片的样式进行设置。优秀的活动标题和封面图可以大幅提升受邀人的参与积极性！”
  
     - **配置项**
    - **卡片标题**
  
      设置该小程序卡片的标题名称，文本要求详见原型中的元件备注说明。
  
    - **海报上传**
  
      宽度≥600px，宽高比5:4，大小不超过1M，仅限JPG格式。
  
  - **预览区**
  
    实时根据配置信息展示卡片样式
  
- **分享海报配置**
  
  - **小贴士**
  
    根据转化路径的不同，显示的文案不同。
  
    - **包含“服务号关注”**
  
         当前活动的转化路径以服务号作为受邀人入口，邀请人可在活动中心一键保存服务号的二维码海报以实现朋友圈转发。
      请对分享海报进行配置，一张生动而有感染力的活动海报，是活动成败的关键！
  
    - **不包含“服务号关注”**
  
      - **包含“访问活动营销页”**
  
           当前活动的转化路径以【活动营销页】作为受邀人入口，邀请人可在活动中心一键保存小程序的二维码海报以实现朋友圈转发。
        请对分享海报进行配置，一张生动而有感染力的活动海报，是活动成败的关键！
  
      - **不包含访问活动营销页”**
  
           当前活动的转化路径以【游戏页面】作为受邀人入口，邀请人可在活动中心一键保存小程序的二维码海报以实现朋友圈转发。
        请对分享海报进行配置，一张生动而有感染力的活动海报，是活动成败的关键！
  
  - **模板选择**
  
    系统提供了4套模板，二维码分别布局在海报不同的位置。
  
  - **海报上传**
  
    图片规格750*1300px，大小不超过,2M，仅限JPG格式。
  
    用户可下载UI设计师提供的PSD文件，在模板上进行设置，然后导出jpg文件上传。
  
  - **二维码配置**
  
    - **前景色**
  
      二维码的颜色，默认为黑色，可使用颜色选择控件自定义颜色值。
  
    - **背景色**
  
      二维码下面的背景色，默认为白色，可使用颜色选择控件自定义颜色值。
  
       - **内边距**
  
         即整个二维码与该区域边界的内边距，默认为8，可自定义变更，文本要求详见原型中的元件备注说明。
  
     - **海报预览**
  
       实时根据用户上传的图片和二维码配置信息展示海报样式。
  
   - **奖励配置**
  
     单次奖励和渐进式奖励的配置交互不同，详见原型。
  
     - **单次奖励**
     
       - **奖励方案**
     
         支持多选
     
         - **即时奖励**
     
           当受邀人满足完成了相关的行为，即时发放邀请人或受邀人的奖励。
     
         - **闯关奖励**
     
           满足相关行为的受邀人数量满足条件后，邀请人即可领取相关奖励，可设置难度逐级递增的多个阶段目标。
     
         - **竞赛奖励**
     
           活动结束后进行统一排名结算和奖励发放的模式，奖项信息可自定义设置。
     
       - **受邀人身份控制**
     
         有些活动可能只针对部分人群或区域展开，因此需要对受邀人的身份进行控制，不满足要求的受邀请即使完成了相关行为，也不作相关奖励的结算。
         注意：身份控制只在受邀人参与活动的初始状态下进行判断，一旦身份条件满足，后续的其他转化路径节点将不再进行身份控制判断。
     
         - **经典模板**
     
           系统根据高频的普遍场景设计的身份控制模板，常规情况下可直接选择此类模板。
     
           | 二级分类   | 模板名称     | 适用场景                                                     | 身份要求                     | 筛选条件           |
           | ---------- | ------------ | ------------------------------------------------------------ | ---------------------------- | ------------------ |
           | 服务号吸粉 | 粉丝拉新     | 扩大私域流量池，借助存量粉丝的人脉圈帮助自身拓展新增流量。   | 从未关注过服务号             | 首次关注时间为空   |
           | 服务号吸粉 | 流失粉丝召回 | 旨在针对已经取消关注的老粉丝，通过分享有礼的方式引导其重新关注服务号。 | 曾经关注过服务号             | 首次关注时间不为空 |
           | 会员招募   | 新会员开卡   | 意图发展有潜在消费意向的新会员，分享有礼通常能以较低的新客获取成本实现新客挖掘。 | 未开过会员卡                 | 开卡方式为微信     |
           | 会员招募   | 老会员绑定   | 主要针对历史有开过会员卡的老会员，引导其进行线上认证，从而实现与其建立线上沟通渠道的目的。 | 已在门店或其他渠道开过会员卡 | 开卡方式为pos      |
           | 活动曝光   | 潜客营销     | 针对没有历史消费记录的新客，借助存量会员的人脉圈，扩大活动影响力和辐射面。 | 无消费记录的潜在新客         | 消费次数=0         |
           | 活动曝光   | 老客营销     | 针对老客二次营销触达的场景，借助分享有礼的活动将企业官方营销渠道无法触及的人群盘活。 | 有历史消费记录的老客         | 消费次数≥1         |
           | 游戏营销   | 同上         | 同上                                                         | 同上                         | 同上               |
           | 卡券营销   | 同上         | 同上                                                         | 同上                         | 同上               |
           | 全渠道     | 潜客拉新     | 针对没有历史消费记录的新客，借助存量会员的人脉圈，扩大活动影响力和辐射面。 | 无消费记录的潜在新客         | 消费次数=0         |
           | 全渠道     | 老客唤醒     | 针对有历史消费记录的老客，借助分享有礼的活动将企业官方营销渠道无法触及的人群盘活。 | 针对有历史消费记录的老客，   | 消费次数≥1         |
           | 线下门店   | 同上         | 同上                                                         | 同上                         | 同上               |
           | 微信商城   | 同上         | 同上                                                         | 同上                         | 同上               |
     
         - **专家模式**
     
           完全通过人群筛选器进行受邀人属性的筛选，系统不作任何推荐和建议。
     
           专家模式下要编辑“身份要求文案”，用于小程序端的奖励说明展示。
     
       - **消费行为控制**
     
         有些活动并非只需要受邀人完成消费即可，而是需要对消费行为作进一步的明确，只有符合相关的标准才算完成消费行为目标。
     
         该栏只有当转化路径中包含“消费”节点才会显示，同时，只有开启了switch开关才会显示以下内容。
     
         - **消费门店控制**
     
           只有当活动目的为“全渠道”和“线下门店”时才会显示该栏！！！
     
           可配置适用门店，即订单的消费门店只有在命中适用门店的前提下才有效
     
         - **成交额控制**
     
           可配置订单成交额区间，即订单的成交额只有命中该范围才有效（包含设置的值，闭区间）
     
         - **单笔成交件数控制**
     
           可配置订单成交件数区间，即订单的成交件数只有命中该范围才有效（包含设置的值，闭区间）
     
       - **即时奖励配置**
     
         只有在奖励方案中勾选过“即时奖励”才会出现该配置栏
     
         - **即时奖励模式**
     
           选择不同的奖励模式，以不同的交互方式进行奖励额度的配置，详见原型。
     
           - **定额奖励**
     
             固定额度的奖励
     
           - **阶梯奖励**
     
             累计邀请人数越多，奖励也越高。
     
             可在阶梯奖励额度中创建阶梯的数量，设置各阶梯的区间和奖励额度
     
           - **成交额等比奖励**
     
             按受邀人成交额的一定比例来奖励
     
             只有当转化路径中包含“消费”节点才会显示该选项
     
         - **奖励限制**
     
           - **不限制奖励**
     
             同一个受邀人无论消费多少次，邀请人都能获得相应额度的奖励。
     
           - **限制奖励次数**
     
             限制单个受邀人的消费订单数，超过该订单额度之后，邀请人将无法获得该受邀人的奖励。
     
           - **限制奖励额度**
     
             限制单个受邀人能给邀请人触发的奖励，超过该额度之后，邀请人将无法获得该受邀人的奖励。
     
       - **闯关奖励配置**
     
         只有在奖励方案中勾选过“闯关奖励”才会出现该配置栏
     
         - **闯关指标**
     
           支持多选，只有当转化路径中包含“消费”节点才会显示该栏，其他节点都只有人数这一项指标。
     
           - **成交人数**
     
             以完成规定消费行为的受邀人数量作为计数指标
     
           - **成交额**
     
             以受邀人的总消费金额作为计数指标（单个受邀人多次消费作累计计数）
     
         - **闯关奖项**
     
           配置闯关奖项的达成条件和奖励内容，闯关奖项支持积分和卡券同时奖励
     
           - **成交人数闯关奖项**
     
             闯关指标选择成交人数时显示该配置栏
     
           - **成交额闯关奖项**
     
             闯关指标选择成交额时显示该配置栏
     
       - **竞赛奖励配置**
     
         只有在奖励方案中勾选过“竞赛奖励”才会出现该配置栏
     
         - **竞赛指标**
     
           支持多选，只有当转化路径中包含“消费”节点才会显示该栏，其他节点都只有人数这一项指标。
     
           - **成交人数**
     
             以完成规定消费行为的受邀人数量作为计数指标
     
           - **成交额**
     
             以受邀人的总消费金额作为计数指标（单个受邀人多次消费作累计计数）
     
         - **竞赛奖项**
     
           配置竞赛奖项的名称、排名要求和奖励内容，竞赛奖项支持积分和卡券同时奖励
     
           - **成交人数竞赛奖项**
     
             竞赛指标选择成交人数时显示该配置栏
     
           - **成交额竞赛奖项**
     
             竞赛指标选择成交额时显示该配置栏
     
       - **受邀人奖励**
     
         根据转化路径中是否包含“消费”，受邀人奖励策略是不同的
     
         - **包含“消费”**
     
           - **积分奖励**
     
             积分奖励只适用于受邀人有会员卡的场景（适合老客复购场景，不适合老带新场景），非会员受邀人即使完成相关行为也无法获取积分奖励。
     
             - **定额奖励**
     
               无论受邀人首笔消费了多少钱，设置固定的积分奖励额度
     
             - **阶梯奖励**
     
               根据受邀人首笔消费金额的不同，命中不同的阶梯，奖励不同额度的积分
     
             - **成交额等比奖励**
     
               按一定比例进行积分奖励
     
           - **卡券奖励**
     
             该奖励仅适用于消费行为后的奖励，消费行为之前如果有送受邀人卡券的需求，请在转化路径中增加“卡券领取”环节。受邀人奖励中的卡券仅单纯作为奖励，不做转化路径的漏斗分析、活动效果分析等。
     
             - **固定奖励**
     
               无论受邀人首笔消费了多少钱，设置固定的卡券奖励
     
             - **阶梯奖励**
     
               根据受邀人首笔消费金额的不同，命中不同的阶梯，奖励不同的卡券
     
         - **不包含“消费”**
     
           配置固定积分奖励额度和卡券
     
       - **防欺诈风险控制**
     
         只有转化路径中包含“消费”才会出现该配置项
     
         - **成交额上限控制**
     
           为了获取邀请人奖励，可能会出现恶意盗刷的情况，因此系统支持对单个受邀人的成交额累计上限做控制。
           这能有效的杜绝邀请人在闯关奖励、竞赛奖励中采用作弊手段（即时奖励有单独的限制控制，该成交额上限对即时奖励不起作用）。
     
           - **不控制上限**
     
             同一个受邀人无论消费多少，都会计入累计成交额。
     
           - **控制成交额上限**
     
             限制针对单个受邀人统计的成交额，超过该额度之后，溢出的成交额不计入奖励结算的统计。
     
         - **积分处理方案**
     
           转化路径的一系列节点中，消费行为尤其特殊，因为可以申请退款，所以涉及到奖励回收的问题。请根据自身的活动政策，配置相关的风险控制策略。
           注意：仅针对即时奖励可进行控制，闯关奖励、竞赛奖励和受邀人奖励不作回收处理。由于即时奖励中没有卡券类奖励，因此没有卡券处理方案的配置。
     
           - **延时发放**
     
             根据自身的退换货有效期政策，设置延时发放积分的时长，积分发放后再退款，系统不会追扣积分。
     
           - **积分冻结**
     
             积分发放没有延时，但受邀人退款后会追扣（回收）积分，可设置积分冻结期来确保退换服务期内的积分安全。
             注意：闯关奖励、竞赛奖励、受邀人奖励不会追扣(回收)。
     
           - **不予控制**
     
             积分发放没有延时，也不会对受邀人的 退款事件作积分的追扣（回收）。
     
     - **渐进式奖励**
     
       渐进式奖励和单次奖励最大的不同在于，管理员可以针对转化路径当中的不同节点单独设置奖励。大部分的内容都是一致的，避免需求文档的篇幅过长，以下罗列出主要注意的事项：
     
       - 受邀人身份控制部分节点，而是整个活动级别的控制，因此即使有多个节点奖励也只需要设置一次身份控制。
       - 只显示转化路径中有的节点，在活动创建时被前端隐藏的，以及管理员没有勾选的节点，都不会展示。
       - 除了消费奖励以外，其他节点的奖励配置都是一样的，和消费奖励配置内容存在以下差异：
         - 没有消费行为控制
         - 即时奖励中没有“成交额等比奖励”
         - 即时奖励中没有奖励限制的配置
         - 闯关奖励中没有指标选择，即只有人数这一项指标
         - 竞赛奖励中没有指标选择，即只有人数这一项指标
         - 受邀人奖励中的积分和卡券都是固定的
         - 没有防欺诈风险控制
       - 转化路径中最后一个节点的奖励必须开启。





